SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Enumerations
PluginInterface2.h File Reference

RakNet's plugin functionality system, version 2. You can derive from this to create your own plugins. More...

`#include "NativeFeatureIncludes.h"`
`#include "types.h"`
`#include "Export.h"`
`#include "PacketPriority.h"`

Go to the source code of this file.

## Classes

class | SLNet::PluginInterface2

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Enumerations

enum | SLNet::PluginReceiveResult { SLNet::RR_STOP_PROCESSING_AND_DEALLOCATE =0, SLNet::RR_CONTINUE_PROCESSING, SLNet::RR_STOP_PROCESSING }
enum | SLNet::PI2_LostConnectionReason { SLNet::LCR_CLOSED_BY_USER, SLNet::LCR_DISCONNECTION_NOTIFICATION, SLNet::LCR_CONNECTION_LOST }

enum

SLNet::PI2_FailedConnectionAttemptReason {
SLNet::FCAR_CONNECTION_ATTEMPT_FAILED, SLNet::FCAR_ALREADY_CONNECTED, SLNet::FCAR_NO_FREE_INCOMING_CONNECTIONS, SLNet::FCAR_SECURITY_PUBLIC_KEY_MISMATCH,
SLNet::FCAR_CONNECTION_BANNED, SLNet::FCAR_INVALID_PASSWORD, SLNet::FCAR_INCOMPATIBLE_PROTOCOL, SLNet::FCAR_IP_RECENTLY_CONNECTED,
SLNet::FCAR_REMOTE_SYSTEM_REQUIRES_PUBLIC_KEY, SLNet::FCAR_OUR_SYSTEM_REQUIRES_SECURITY, SLNet::FCAR_PUBLIC_KEY_MISMATCH
}

## Detailed Description

RakNet's plugin functionality system, version 2. You can derive from this to create your own plugins.

Definition in file PluginInterface2.h.